nvme_ns_read(2)

NAME
nvme_ns_read - Read from a namespace

SYNOPSIS
int nvme_ns_read (nvme_ns_t n , void *buf , off_t offset , size_t count );

ARGUMENTS

n   Namespace instance

buf Buffer into which the data will be transferred

offset
    LBA offset of n

count
    Number of sectors in buf

RETURN
Number of sectors read or -1 on error.